BEGIN{
FS="::"
toanalyse=0
okprintomp=0

print "!! ================================================================================================================================"
print "!! SUBROUTINE   : livestock_parameters_clear												  "
print "!!																  "
print "!>\BRIEF         This subroutine deallocates memory at the end of the simulation. 						  "
print "!!																  "
print "!! DESCRIPTION  : None														  "
print "!!																  "
print "!! RECENT CHANGE(S): None													  "
print "!!																  "
print "!! MAIN OUTPUT VARIABLE(S): None													  "
print "!!																  "
print "!! REFERENCE(S) : None														  "
print "!!																  "
print "!! FLOWCHART    : None														  "
print "!! \n																  "
print "!_ ================================================================================================================================"
print "																	  "
print "  SUBROUTINE livestock_parameters_clear												  "
print "																	  "
print "    l_first_livestock_parameters = .TRUE.                                                                                                "  


}
{
    if($2!="")
    { 

	var="echo \""$2"\"|sed -e 's/\=\.\*//'"
	var | getline myvar
	close(var)

	var="echo \""myvar"\"|sed -e 's/_lmtc//'"
	var | getline myvar
	close(var)

	var="echo \""myvar"\"|sed -e 's/\ //g'"
	var | getline myvar
	close(var)

	if(myvar=="nlmc") toanalyse=1

	if(myvar=="nlmc") myvar="nlm"
	if(myvar=="LMTC_name") myvar="LIVESTOCK_name"

	if(myvar!="nlm")
	{
	    print "    IF (ALLOCATED("myvar")) DEALLOCATE("myvar")"
	}

    }
}
END{
    print   "END SUBROUTINE pft_parameters_clear"
}
